import { Express } from 'express';
import { ApiClientFactory, ApiClientExtension, IntegrationsSection, CustomQuery } from '@vue-storefront/core';
interface IntegrationLoaded {
    apiClient: ApiClientFactory;
    initConfig: Record<string, any>;
    configuration: any;
    extensions: ApiClientExtension[];
    customQueries?: Record<string, CustomQuery>;
}
declare type IntegrationsLoaded = Record<string, IntegrationLoaded>;
declare function registerIntegrations(app: Express, integrations: IntegrationsSection): Promise<IntegrationsLoaded>;
export { registerIntegrations };
